> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apinizer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changing URL in Response Body of CBS Services

> You can change URLs in the response body returned from backend services and return a different URL to the client. This page contains an example of changing URLs in the response body using the replaceAll method.

```javascript theme={null}
responseBodyTextToClient=responseBodyTextToClient.replaceAll('https://geomap.reteunitaria.piemonte.it/ws/gsareprot/rp-01/areeprotwfs/wfs_gsareprot_1?', 'https://api.apinizer.com/apigateway/geoservis');
responseBodyTextToClient=responseBodyTextToClient.replaceAll('http://geomap.reteunitaria.piemonte.it/ws/gsareprot/rp-01/areeprotwfs/wfs_gsareprot_1?', 'https://api.apinizer.com/apigateway/geoservis');
```

## Example Explanation

This example replaces URLs in the response body returned from the backend service that start with both HTTP and HTTPS protocols with the Apinizer Gateway URL. Thus, the client sees URLs routed through Apinizer instead of seeing backend URLs.
